Package org.sonatype.maven.polyglot.io

## Class ModelWriterSupport

- java.lang.Object
- - org.sonatype.maven.polyglot.io.ModelWriterSupport

All Implemented Interfaces:
  `org.apache.maven.model.io.ModelWriter`

    public abstract class ModelWriterSupport
    extends java.lang.Object
    implements org.apache.maven.model.io.ModelWriter

Support for `ModelWriter` implementations.

Since:
  0.7
Author:
  Jason Dillon

### Constructor Summary

Constructors
`ModelWriterSupport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write​(java.io.File file, java.util.Map<java.lang.String,​java.lang.Object> options, org.apache.maven.model.Model model)`
`void` `write​(java.io.OutputStream output, java.util.Map<java.lang.String,​java.lang.Object> options, org.apache.maven.model.Model model)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.model.io.ModelWriter

`write`

### Constructor Detail

#### ModelWriterSupport

    public ModelWriterSupport()

### Method Detail

#### write

    public void write​(java.io.File file,
                      java.util.Map<java.lang.String,​java.lang.Object> options,
                      org.apache.maven.model.Model model)
               throws java.io.IOException

Specified by:
  `write` in interface `org.apache.maven.model.io.ModelWriter`
Throws:
  `java.io.IOException`

#### write

    public void write​(java.io.OutputStream output,
                      java.util.Map<java.lang.String,​java.lang.Object> options,
                      org.apache.maven.model.Model model)
               throws java.io.IOException

Specified by:
  `write` in interface `org.apache.maven.model.io.ModelWriter`
Throws:
  `java.io.IOException`